Error during installation #7

Closed
buzypi opened this Issue Jan 7, 2012 · 1 comment

Comments

Projects
None yet
3 participants
@buzypi

buzypi commented Jan 7, 2012

I came across a couple of issues during installation.

  1. In addition to the mentioned dev pre-reqs, we also need libyaml-dev. I think it is a good idea to add this to your documentation.
  2. I get this error when running make install:
$ HADOOP_HOME=/usr/lib/hadoop-0.20 PREFIX=/usr/local make install
...
...
...
init:

compile-gen:
     [echo] contrib: hue
    [javac] Compiling 55 source files to /home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/build/java/classes
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.

compile:
     [echo] contrib: hue
     [echo] src dir: /home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/java/src/java
    [javac] Compiling 10 source files to /home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/build/java/classes
    [javac] /home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/java/src/java/org/apache/hadoop/mapred/ThriftJobTrackerPlugin.java:1036: getMapCounters(org.apache.hadoop.mapred.Counters) in org.apache.hadoop.mapred.JobInProgress cannot be applied to ()
    [javac]                 JTThriftUtils.toThrift(jip.getMapCounters()));
    [javac]                                           ^
    [javac] /home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/java/src/java/org/apache/hadoop/mapred/ThriftJobTrackerPlugin.java:1038: getReduceCounters(org.apache.hadoop.mapred.Counters) in org.apache.hadoop.mapred.JobInProgress cannot be applied to ()
    [javac]                 JTThriftUtils.toThrift(jip.getReduceCounters()));
    [javac]                                           ^
    [javac] 2 errors
make[2]: Leaving directory `/home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop'
make[1]: Leaving directory `/home/ubuntu/test/hue-1.2.0/desktop'

Stderr:

BUILD FAILED
/home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/java/build.xml:85: Compile failed; see the compiler error output for details.

Total time: 3 seconds
make[2]: *** [/home/ubuntu/test/hue-1.2.0/desktop/libs/hadoop/java-lib/hue-plugins-1.2.0.jar] Error 1
make[1]: *** [.recursive-install-bdist/libs/hadoop] Error 2
make: *** [install-desktop] Error 2

Don't know if you need this, but in any case, the Hadoop version is:

$ hadoop version
Hadoop 0.20.2-cdh3u2
Subversion file:///tmp/nightly_2011-10-13_20-02-02_3/hadoop-0.20-0.20.2+923.142-1~lucid -r 95a824e4005b2a94fe1c11f1ef9db4c672ba43cb
Compiled by root on Thu Oct 13 21:52:18 PDT 2011
From source with checksum 644e5db6c59d45bca96cec7f220dda51
@zillou

This comment has been minimized.

Show comment Hide comment
@zillou

zillou Jul 24, 2012

I encountered the same error here, then try to build with the release version from cloudera.com, all things goes right.

zillou commented Jul 24, 2012

I encountered the same error here, then try to build with the release version from cloudera.com, all things goes right.

@romainr romainr closed this Jan 17, 2013

jfota pushed a commit to mapr/hue that referenced this issue Jul 7, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment